diff --git a/sources/src/cz/zcu/kiv/offscreen/servlets/actions/DownloadComponent.java b/sources/src/cz/zcu/kiv/offscreen/servlets/actions/DownloadComponent.java
index b8d884d..1be3897 100644
--- a/sources/src/cz/zcu/kiv/offscreen/servlets/actions/DownloadComponent.java
+++ b/sources/src/cz/zcu/kiv/offscreen/servlets/actions/DownloadComponent.java
@@ -10,6 +10,7 @@ import javax.servlet.http.HttpServlet;
 import javax.servlet.http.HttpServletRequest;
 import javax.servlet.http.HttpServletResponse;
 
+import org.apache.log4j.Logger;
 import org.json.JSONObject;
 
 import cz.zcu.kiv.offscreen.loader.configuration.ConfigurationLoader;
@@ -24,52 +25,55 @@ public class DownloadComponent extends HttpServlet {
     private String crceApiBase;
     private FileManager fileManager;
 
+    private Logger logger = Logger.getLogger(DownloadComponent.class);
+
     /**
      * Downloads component by its UUID set in query parameter. The component is then stored in the current graph version
      * folder. As a response, JSON containing component's UUID and filename is returned.
      */
     @Override
     protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
-        // there was no uuid passed in the request
-        if (request.getParameter("uuid") == null) {
-            response.sendError(response.SC_BAD_REQUEST);
-            return;
-        }
-
-        // initialize file manager
-        String workingDirectory;
-        if (request.getParameter("diagram_hash") == null) {
-            workingDirectory = SessionManager.getSessionValue(request, "JSESSIONID");
-        } else {
-            workingDirectory = request.getParameter("diagram_hash");
-        }
-
-        if (request.getParameter("graphVersion") != null) {
-            workingDirectory += File.separator + request.getParameter("graphVersion");
-        } else {
-            workingDirectory += File.separator + SessionManager.getSessionValue(request, "graphVersion");
-        }
-
-        String storageLocation = ConfigurationLoader.getStorageLocation(request.getServletContext());
-
-        fileManager = new FileManager(workingDirectory, storageLocation);
-        if (!fileManager.isExistStorage()) {
-            fileManager.createStorageDirectory();
-        }
-
-        // download component
-        crceApiBase = ConfigurationLoader.getCrceApiBase(request.getServletContext());
-
-        String uuid = request.getParameter("uuid");
-        String name = downloadComponent(uuid);
-
-        JSONObject componentJson = new JSONObject();
-        componentJson.put("uuid", uuid);
-        componentJson.put("name", name);
-
-        // send response
-        response.setContentType("application/json");
-        response.getWriter().write(componentJson.toString());
+        logger.error("Method is no longer supported because CRCE is removed from project.");
+//        // there was no uuid passed in the request
+//        if (request.getParameter("uuid") == null) {
+//            response.sendError(response.SC_BAD_REQUEST);
+//            return;
+//        }
+//
+//        // initialize file manager
+//        String workingDirectory;
+//        if (request.getParameter("diagram_hash") == null) {
+//            workingDirectory = SessionManager.getSessionValue(request, "JSESSIONID");
+//        } else {
+//            workingDirectory = request.getParameter("diagram_hash");
+//        }
+//
+//        if (request.getParameter("graphVersion") != null) {
+//            workingDirectory += File.separator + request.getParameter("graphVersion");
+//        } else {
+//            workingDirectory += File.separator + SessionManager.getSessionValue(request, "graphVersion");
+//        }
+//
+//        String storageLocation = ConfigurationLoader.getStorageLocation(request.getServletContext());
+//
+//        fileManager = new FileManager(workingDirectory, storageLocation);
+//        if (!fileManager.isExistStorage()) {
+//            fileManager.createStorageDirectory();
+//        }
+//
+//        // download component
+//        crceApiBase = ConfigurationLoader.getCrceApiBase(request.getServletContext());
+//
+//        String uuid = request.getParameter("uuid");
+//        String name = downloadComponent(uuid);
+//
+//        JSONObject componentJson = new JSONObject();
+//        componentJson.put("uuid", uuid);
+//        componentJson.put("name", name);
+//
+//        // send response
+//        response.setContentType("application/json");
+//        response.getWriter().write(componentJson.toString());
     }
 
     /*
diff --git a/sources/src/cz/zcu/kiv/offscreen/storage/FileManager.java b/sources/src/cz/zcu/kiv/offscreen/storage/FileManager.java
index 7047e44..bae9042 100644
--- a/sources/src/cz/zcu/kiv/offscreen/storage/FileManager.java
+++ b/sources/src/cz/zcu/kiv/offscreen/storage/FileManager.java
@@ -20,7 +20,7 @@ public class FileManager {
 
     private int MAX_FILE_SIZE = 512000000;
     private int MAX_MEM_SIZE = 4 * 1024;
-    private static final String ACCEPTED_EXTENSION_FILE = "jar";
+    private static final String ACCEPTED_EXTENSION_FILE = "json";
     private String storagePath;
     private Logger logger = Logger.getLogger(FileManager.class);
 
@@ -43,7 +43,7 @@ public class FileManager {
         return new File(this.storagePath).isDirectory();
     }
 
-    private boolean isJar(String componentName) {
+    private boolean isAcceptedExtension(String componentName) {
         return componentName.endsWith("." + ACCEPTED_EXTENSION_FILE);
     }
 
@@ -64,7 +64,7 @@ public class FileManager {
             List<FileItem> fileItems = upload.parseRequest(request);
             File file;
             for (FileItem fileItem : fileItems) {
-                if (isJar(fileItem.getName()) && fileItem.getSize() > 0) {
+                if (isAcceptedExtension(fileItem.getName()) && fileItem.getSize() > 0) {
                     logger.debug(fileItem.getName() + " - " + fileItem.getContentType());
                     file = new File(this.storagePath + File.separator + fileItem.getName());
                     fileItem.write(file);
@@ -101,7 +101,7 @@ public class FileManager {
     public void saveFile(InputStream inputStream, String fileName) throws IOException {
         File file = new File(this.storagePath + File.separator + fileName);
 
-        if (isJar(file.getName())) {
+        if (isAcceptedExtension(file.getName())) {
             BufferedInputStream in = new BufferedInputStream(inputStream);
             FileOutputStream out = new FileOutputStream(file);
 
